Page 8 of 9

Re: TUTORIAL: PHP selector for PHP 5.6, 7.0, 7.1, 7.2, 7.3 for Debian and Ubuntu (and optionally directly nginx-PHP-FPM)

Posted: Wed Apr 24, 2019 1:06 pm
by krvam
i have CentOS 7.6.1810 (x86_64), this tutorial work for me?

Re: TUTORIAL: PHP selector for PHP 5.6, 7.0, 7.1, 7.2, 7.3 for Debian and Ubuntu (and optionally directly nginx-PHP-FPM)

Posted: Wed Apr 24, 2019 1:42 pm
by dpeca
krvam wrote:
Wed Apr 24, 2019 1:06 pm
i have CentOS 7.6.1810 (x86_64), this tutorial work for me?
Image

Re: TUTORIAL: PHP selector for PHP 5.6, 7.0, 7.1, 7.2, 7.3 for Debian and Ubuntu (and optionally directly nginx-PHP-FPM)

Posted: Fri May 17, 2019 2:51 pm
by bhavilajain68
Hi, So this is an old-ish thread, but I could use some help.
I'm on AWS lightsail-Ubuntu 16.04 vestacp 0.9.8-24 (Apr 15/2019)

I've followed your guide step by stem nearly 3 time with 2 problems.
1. The apache2 service would not start no matter what.
2. Once when it did start, roundcube and phpmyadmin were inaccessable.

I'm new to both linus and vestacp, but have learnt using the terminal a bit in the past few days.
I dont know what files/logs would you require for this or where they are located, please let me know..I'll get hose for you.

I could really use some help with this.
Thanks in advance. :)

Update
Ok so I tried It the 4th time after posting this. Now everything is working except the main thing.
When I change the template to PHP-FPM-56 and go to my site it says 500 Internal Server Error.
.html files will work, but .php files wont.
On default .php files work. and shows php version to be 7.0.
The problem is i built my site/app on 5.6 and i need that in order for it to run.

This is the log file under home/user/web/domain/logs/domain.error.log
[Fri May 17 15:09:30.065410 2019] [proxy:error] [pid 14516] (2)No such file or directory: AH02454: FCGI: attempt to connect to Unix domain socket /run/php/php5.6-fpm-justquoteit.in.sock (*) failed
[Fri May 17 15:09:30.065451 2019] [proxy_fcgi:error] [pid 14516] [client 172.26.14.165:55284] AH01079: failed to make connection to backend: httpd-UDS


Update 2
SO 7th time is a charm i guess??
Php 5.6 is working, but roundcube is not.. displays an error that database cannot be connected.??
A work around is to make keep the default domain's web template as default, and use a sub domain to use my php 5.6 app.
This works for me but would surely be an issue for other people who cant set it up that way..


Its working for me as of now but would still be interested in getting a solution to this..

Re: TUTORIAL: PHP selector for PHP 5.6, 7.0, 7.1, 7.2, 7.3 for Debian and Ubuntu (and optionally directly nginx-PHP-FPM)

Posted: Sun Aug 04, 2019 9:06 pm
by gatsukito
Good morning.

I have tried to add this php selector in a VM with Debian 8 and I can't to open roundcube and phpPgAdmin, it can be solved opening theirs with another domain that it uses an apache default template.

An example:
- Domain A has apache default template. I can to open roundcube and phpPgAdmin.
- Domain B has apache PHP 7.2 FPM template. I can't to open roundcube and phpPgAdmin.

Errors about roundcube and phpPgAdmin talk about config not found.

Anybody has the same problem?

Re: TUTORIAL: PHP selector for PHP 5.6, 7.0, 7.1, 7.2, 7.3 for Debian and Ubuntu (and optionally directly nginx-PHP-FPM)

Posted: Mon Aug 05, 2019 10:08 am
by dpeca
gatsukito wrote:
Sun Aug 04, 2019 9:06 pm
Errors about roundcube and phpPgAdmin talk about config not found.

Anybody has the same problem?
in fpm pool.d conf file of that domain, group shold be

Code: Select all

group = www-data
Restart php-fpm after that change.

Re: TUTORIAL: PHP selector for PHP 5.6, 7.0, 7.1, 7.2, 7.3 for Debian and Ubuntu (and optionally directly nginx-PHP-FPM)

Posted: Mon Aug 05, 2019 2:56 pm
by gatsukito
Good afternoon dpeca
dpeca wrote:
Mon Aug 05, 2019 10:08 am
in fpm pool.d conf file of that domain, group shold be

Code: Select all

group = www-data
Restart php-fpm after that change.
Roundcube works perfectly, but phpPgAdmin continues showing me the error about config, and only I have /etc/phppgadmin/config.inc.php

Code: Select all

Configuration error: Copy conf/config.inc.php-dist to conf/config.inc.php and edit appropriately.

Re: TUTORIAL: PHP selector for PHP 5.6, 7.0, 7.1, 7.2, 7.3 for Debian and Ubuntu (and optionally directly nginx-PHP-FPM)

Posted: Thu Aug 08, 2019 9:55 pm
by tom256
I had installed PHP 5.6,7.0 and 7.3 using this tutorial months ago.
Today I got this error when I tried to apt-get upgrade my server:
NOTICE: Not enabling PHP 5.6 FPM by default.
NOTICE: To enable PHP 5.6 FPM in Apache2 do:
NOTICE: a2enmod proxy_fcgi setenvif
NOTICE: a2enconf php5.6-fpm
NOTICE: You are seeing this message because you have apache2 package installed.
Job for php5.6-fpm.service failed because the control process exited with error code. See "systemctl status php5.6-fpm.service" and "journalctl -xe" for details.
invoke-rc.d: initscript php5.6-fpm, action "restart" failed.
● php5.6-fpm.service - The PHP 5.6 FastCGI Process Manager
Loaded: loaded (/lib/systemd/system/php5.6-fpm.service; enabled; vendor preset: enabled)
Active: failed (Result: exit-code) since Fri 2019-08-09 02:12:21 +0430; 6ms ago
Docs: man:php-fpm5.6(8)
Process: 4357 ExecStart=/usr/sbin/php-fpm5.6 --nodaemonize --fpm-config /etc/php/5.6/fpm/php-fpm.conf (code=exited, status=78)
Main PID: 4357 (code=exited, status=78)

Aug 09 02:12:21 panel.site.xyz systemd[1]: Starting The PHP 5.6 FastCGI Process Manager...
Aug 09 02:12:21 panel.site.xyz php-fpm5.6[4357]: [09-Aug-2019 02:12:21] WARNING: Nothing matches the include pattern...e 15.
Aug 09 02:12:21 panel.site.xyz php-fpm5.6[4357]: [09-Aug-2019 02:12:21] ERROR: No pool defined. at least one pool se... file
Aug 09 02:12:21 panel.site.xyz php-fpm5.6[4357]: [09-Aug-2019 02:12:21] ERROR: failed to post process the configuration
Aug 09 02:12:21 panel.site.xyz php-fpm5.6[4357]: [09-Aug-2019 02:12:21] ERROR: FPM initialization failed
Aug 09 02:12:21 panel.site.xyz systemd[1]: php5.6-fpm.service: Main process exited, code=exited, status=78/n/a
Aug 09 02:12:21 panel.site.xyz systemd[1]: Failed to start The PHP 5.6 FastCGI Process Manager.
Aug 09 02:12:21 panel.site.xyz systemd[1]: php5.6-fpm.service: Unit entered failed state.
Aug 09 02:12:21 panel.site.xyz systemd[1]: php5.6-fpm.service: Failed with result 'exit-code'.
Hint: Some lines were ellipsized, use -l to show in full.
dpkg: error processing package php5.6-fpm (--configure):
subprocess installed post-installation script returned error exit status 1
E: Sub-process /usr/bin/dpkg returned an error code (1)

How can I solve this problem?

Re: TUTORIAL: PHP selector for PHP 5.6, 7.0, 7.1, 7.2, 7.3 for Debian and Ubuntu (and optionally directly nginx-PHP-FPM)

Posted: Fri Aug 09, 2019 10:52 am
by dpeca
tom256 wrote:
Thu Aug 08, 2019 9:55 pm
I had installed PHP 5.6,7.0 and 7.3 using this tutorial months ago.
Today I got this error when I tried to apt-get upgrade my server:
viewtopic.php?f=41&t=17129&start=60#p76941

Re: TUTORIAL: PHP selector for PHP 5.6, 7.0, 7.1, 7.2, 7.3 for Debian and Ubuntu (and optionally directly nginx-PHP-FPM)

Posted: Sun Aug 11, 2019 5:45 pm
by gursl
Thank you very much for this selector. I have 1st tried to adapt PHP-FPM-72 to Joomla with no success however the Wordpress one seems working well in with my Joomla website.

I have just found out there is an issue with security fall Cross Site Scripting (XSS). Please can you advise how can I change the PHP-FPM-72-Wordpress in order to avoid this security fault?

I have tried to add belo code but after I do a scan with detectify to website this does not look is doing anything. please can you suggest the best way to proceed?

Code added to PHP-FPM-72-Wordpress.stpl
and
service nginx restart


Code: Select all

server {
...

add_header X-XSS-Protection "1; mode=block";
}
thank you in advance for all these very useful posts.

Re: TUTORIAL: PHP selector for PHP 5.6, 7.0, 7.1, 7.2, 7.3 for Debian and Ubuntu (and optionally directly nginx-PHP-FPM)

Posted: Sun Aug 11, 2019 8:46 pm
by dpeca
gursl wrote:
Sun Aug 11, 2019 5:45 pm

Code: Select all

server {
...

add_header X-XSS-Protection "1; mode=block";
}
thank you in advance for all these very useful posts.
It looks like nginx template, but my PHP selector is based on Apache templates.
Yes, it have tutorial for adapting existent nginx-fpm templates - but it's just tutorial for adapting existent templates - I can not give support for them - since I didn't make them.